> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Feedback Template



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json patch /v2/projects/{project_id}/feedback/templates/{template_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/feedback/templates/{template_id}:
    patch:
      tags:
        - feedback
      summary: Update Feedback Template
      operationId: >-
        update_feedback_template_v2_projects__project_id__feedback_templates__template_id__patch
      parameters:
        - name: template_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Template Id
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeedbackTemplateUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackTemplateDB'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
      security:
        - APIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    FeedbackTemplateUpdate:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        criteria:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Criteria
      type: object
      required:
        - name
        - criteria
      title: FeedbackTemplateUpdate
    FeedbackTemplateDB:
      properties:
        name:
          type: string
          maxLength: 255
          minLength: 1
          title: Name
        include_explanation:
          type: boolean
          title: Include Explanation
        criteria:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Criteria
        constraints:
          oneOf:
            - $ref: >-
                #/components/schemas/libs__python__schemas__log_records__feedback__LikeDislikeConstraints
            - $ref: >-
                #/components/schemas/libs__python__schemas__log_records__feedback__StarConstraints
            - $ref: >-
                #/components/schemas/libs__python__schemas__log_records__feedback__ScoreConstraints
            - $ref: >-
                #/components/schemas/libs__python__schemas__log_records__feedback__TagsConstraints
            - $ref: >-
                #/components/schemas/libs__python__schemas__log_records__feedback__TextConstraints
          title: Constraints
          discriminator:
            propertyName: feedback_type
            mapping:
              like_dislike:
                $ref: >-
                  #/components/schemas/libs__python__schemas__log_records__feedback__LikeDislikeConstraints
              score:
                $ref: >-
                  #/components/schemas/libs__python__schemas__log_records__feedback__ScoreConstraints
              star:
                $ref: >-
                  #/components/schemas/libs__python__schemas__log_records__feedback__StarConstraints
              tags:
                $ref: >-
                  #/components/schemas/libs__python__schemas__log_records__feedback__TagsConstraints
              text:
                $ref: >-
                  #/components/schemas/libs__python__schemas__log_records__feedback__TextConstraints
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        created_by:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Created By
        position:
          type: integer
          title: Position
        usage_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Usage Count
          description: Number of feedback ratings using the template.
      type: object
      required:
        - name
        - include_explanation
        - constraints
        - id
        - created_at
        - created_by
        - position
      title: FeedbackTemplateDB
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    libs__python__schemas__log_records__feedback__LikeDislikeConstraints:
      properties:
        feedback_type:
          type: string
          const: like_dislike
          title: Feedback Type
      type: object
      required:
        - feedback_type
      title: LikeDislikeConstraints
    libs__python__schemas__log_records__feedback__StarConstraints:
      properties:
        feedback_type:
          type: string
          const: star
          title: Feedback Type
      type: object
      required:
        - feedback_type
      title: StarConstraints
    libs__python__schemas__log_records__feedback__ScoreConstraints:
      properties:
        feedback_type:
          type: string
          const: score
          title: Feedback Type
        min:
          type: integer
          minimum: 0
          title: Min
        max:
          type: integer
          minimum: 0
          title: Max
      type: object
      required:
        - feedback_type
        - min
        - max
      title: ScoreConstraints
    libs__python__schemas__log_records__feedback__TagsConstraints:
      properties:
        feedback_type:
          type: string
          const: tags
          title: Feedback Type
        tags:
          items:
            type: string
            maxLength: 255
            minLength: 1
          type: array
          title: Tags
        allow_other:
          type: boolean
          title: Allow Other
          default: false
      type: object
      required:
        - feedback_type
        - tags
      title: TagsConstraints
    libs__python__schemas__log_records__feedback__TextConstraints:
      properties:
        feedback_type:
          type: string
          const: text
          title: Feedback Type
      type: object
      required:
        - feedback_type
      title: TextConstraints
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````